Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007411OCamlocamldocpublic2016-11-12 17:142017-04-04 17:05
Reporterkosik 
Assigned Tooctachron 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.3 
Target VersionFixed in Version4.04.1+dev 
Summary0007411: HTML output of ocamldoc is strange
DescriptionIf I have a file with the following contents:

  module IntSet = Set.Make(struct
                             type t = int
                             let compare = compare
                           end)

and I use ocamldoc to generate HTML:

  ocamldoc -html main.ml

then the resulting HTML contains some unexpected:
- vertical skip between line
  "module IntSet: Set.Make(sig"
  and line
  "type t = int "
- even bigger vertical skip between line
  "type t = int "
  and line:
  "val compare : 'a -> 'a -> int"

I am (just) guessing that this is not an expected behavior.
TagsNo tags attached.
Attached Fileshtml file icon Main.IntSet.html [^] (1,184 bytes) 2016-11-12 17:14

- Relationships

-  Notes
(0016568)
octachron (developer)
2016-11-12 22:43
edited on: 2016-11-12 22:43

In this case, the html generated by ocamldoc uses a "pre" tag for the module(sig ...end) part and is not careful enough with whitespace, resulting with this anarchic proliferation of whitespaces.

Since the "pre" tag is not that meaningful here, I would argue that simply closing it at the start of the signature would be enough.

(0016572)
octachron (developer)
2016-11-13 22:10

I have a potential fix for the problem here: https://github.com/ocaml/ocaml/pull/914. [^]
(0017717)
octachron (developer)
2017-04-04 17:05

The above github PR have been integrated into the 4.04.1 release, fixing this issue.

- Issue History
Date Modified Username Field Change
2016-11-12 17:14 kosik New Issue
2016-11-12 17:14 kosik File Added: Main.IntSet.html
2016-11-12 22:43 octachron Note Added: 0016568
2016-11-12 22:43 octachron Note Edited: 0016568 View Revisions
2016-11-13 22:10 octachron Note Added: 0016572
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc
2017-02-23 20:08 octachron Assigned To => octachron
2017-02-23 20:08 octachron Status new => assigned
2017-04-04 17:05 octachron Note Added: 0017717
2017-04-04 17:05 octachron Status assigned => resolved
2017-04-04 17:05 octachron Fixed in Version => 4.04.1+dev
2017-04-04 17:05 octachron Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker